Script loft vs manual loft

Hi there,
I am lofting over 2 line objects using rhino script in rhino 7.
When running the script loft the result is a distorted loft. When I run the loft manually it works fine.
I’ve uploaded screen shots of both results. I can force the manual loft to look like the script loft
by moving the loft pointers that appear but I don’t how to do the same in the script.
Here’s the script I ran.
Dim arrObjects,blnCompare

arrObjects = Rhino.GetObjects("Pick curves to loft", rhObjectCurve)

blnCompare = Rhino.CurveDirectionsMatch(arrObjects(0), arrObjects(1))

If blnCompare = True Then
	Rhino.Print "Curves are in the same direction"
Else
	Rhino.Print "Curve are not in the same direction"
	Rhino.Reverse CurvearrObjects(0)
End If

If IsArray(arrObjects) And UBound(arrObjects) > 0 Then

	Rhino.AddLoftSrf arrObjects,,, 0, 0

End If

I can’t tell fur sure from your pictures, but it looks like the start/end of the curves aren’t aligned.
The curves have to be set up to match before you call AddLoftSrf.

I tried using start/end but ended up with a hideous looking blob so I gave up on that. I guess I wasn’t using that option properly. Do you know where I can get some documentation on how to use this option.

Thnx

Here’s the documentation for CreateFromLoft: Brep.CreateFromLoft Method (IEnumerable(Curve), Point3d, Point3d, LoftType, Boolean)

Hi Lowell
Thanks for the doc. I looked it over and it’s way too complicated for my Rhino knowledge. I thought the start and end points were just points on the curves used by the loft command. I was hoping there would be a simpler way of creating these points. Until I can warp my brain around this stuff I will use a work-around.
Thanks for your help